Index: utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh
===================================================================
--- utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh	(revision 13754)
+++ utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh	(revision 13755)
@@ -238,10 +238,17 @@
        set_xio_using_server iodef.xml false
     fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
-    done
+
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+        ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart.nc .
+        ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart_trc.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/GYREPIS_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
+        done
+    fi
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
@@ -270,7 +277,7 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
     fi
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -301,8 +308,4 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -348,4 +351,8 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist namelist_cfg cn_exp \"O2L3P_LONG\"
     set_namelist namelist_cfg nn_it000 1
@@ -363,7 +370,4 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     #
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -437,27 +441,29 @@
     # put ln_pisdmp to false : no restoring to global mean value
     set_namelist namelist_pisces_cfg ln_pisdmp .false.
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
-        if [ ${USING_ICEBERGS} == "yes" ]
-            then
-             ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc
-        fi
-    done
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-            ln -sf ../LONG/O2L3P_LONG_00000496_restart.nc .
-            ln -sf ../LONG/O2L3P_LONG_00000496_restart_ice.nc .
-            ln -sf ../LONG/O2L3P_LONG_00000496_restart_trc.nc .
-       else
-            for (( i=1; i<=$NPROC; i++)) ; do
-                L_NPROC=$(( $i - 1 ))
-                L_NPROC=`printf "%04d\n" ${L_NPROC}`
-                ln -sf ../LONG/O2L3P_LONG_00000496_restart_${L_NPROC}.nc .
-                ln -sf ../LONG/O2L3P_LONG_00000496_restart_ice_${L_NPROC}.nc .
-                ln -sf ../LONG/O2L3P_LONG_00000496_restart_trc_${L_NPROC}.nc .
-            done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart.nc .
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_trc.nc .
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_ice.nc .
+           if [ ${USING_ICEBERGS} == "yes" ]
+                  then
+                   for (( i=1; i<=$NPROC; i++)) ; do
+                      L_NPROC=$(( $i - 1 ))
+                      L_NPROC=`printf "%04d\n" ${L_NPROC}`
+                      ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc
+                   done
+           fi
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+           L_NPROC=$(( $i - 1 ))
+           L_NPROC=`printf "%04d\n" ${L_NPROC}`
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_${L_NPROC}.nc .
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
+           ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
+           if [ ${USING_ICEBERGS} == "yes" ]
+               then
+                ln -sf ../LONG/O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc O2L3P_LONG_${ITRST}_restart_icb_${L_NPROC}.nc
+           fi
+       done
     fi
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -497,7 +503,4 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -546,11 +549,73 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
     # for debugging purposes set_namelist namelist_cfg rn_test_box -180.0, 180.0, -90.0, -55.0
 
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
+    # if not you need input files, and for tests is not necessary
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_ironice .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_ICE_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
+# ----------------
+# ORCA2_OFF_PISCES
+# ----------------
+if [ ${config} == "ORCA2_OFF_PISCES" ] ;  then
+## Restartability tests for ORCA2_OFF_PISCES
+    if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
+    then
+	ITEND=16   # 4 days
+    else
+	ITEND=380  # 95 days
+    fi
+    ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
+    export TEST_NAME="LONG"
+    cd ${MAIN_DIR}
+    #
+    # syncronisation if target directory/file exist (not done by makenemo)
+    . ${SETTE_DIR}/all_functions.sh
+    sync_config  ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
+    clean_config ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ORCA2_OFF_PISCES_ST -r ORCA2_OFF_PISCES -j 8 add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend ${ITEND}
+    set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -563,48 +628,24 @@
     # put ln_pisdmp to false : no restoring to global mean value
     set_namelist namelist_pisces_cfg ln_pisdmp .false.
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_ICE_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-# ----------------
-# ORCA2_OFF_PISCES
-# ----------------
-if [ ${config} == "ORCA2_OFF_PISCES" ] ;  then
-## Restartability tests for ORCA2_OFF_PISCES
-    if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
-    then
-	ITEND=16   # 4 days
-    else
-	ITEND=380  # 95 days
-    fi
-    ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
-    cd ${MAIN_DIR}
-    #
-    # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
-    sync_config  ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
-    clean_config ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
-    #
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_OFF_PISCES_ST -r ORCA2_OFF_PISCES -j 8 add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"OFFP_LONG\"
-    set_namelist namelist_cfg nn_it000 1
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
+    
+    cd ${SETTE_DIR}
+    export TEST_NAME="SHORT"
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_SHORT\"
+    set_namelist namelist_cfg nn_it000 $(( ${ITEND} / 2 + 1 ))
     set_namelist namelist_cfg nn_itend ${ITEND}
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
@@ -614,7 +655,62 @@
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
+    set_namelist namelist_top_cfg ln_rsttr .true.
+    set_namelist namelist_top_cfg nn_rsttr 2
+    set_namelist namelist_top_cfg cn_trcrst_in \"OFFP_LONG_${ITRST}_restart_trc\"
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+        ln -sf ../LONG/OFFP_LONG_${ITRST}_restart_trc.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/OFFP_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
+        done
+    fi
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
+    # if not you need input files, and for tests is not necessary
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_ironice .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+## Reproducibility tests for ORCA2_OFF_PISCES
+    export TEST_NAME="REPRO_4_8"
+    cd ${MAIN_DIR}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_48\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend ${ITEND}
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -627,4 +723,8 @@
     # put ln_pisdmp to false : no restoring to global mean value
     set_namelist namelist_pisces_cfg ln_pisdmp .false.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -634,115 +734,24 @@
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"OFFP_SHORT\"
-    set_namelist namelist_cfg nn_it000 $(( ${ITEND} / 2 + 1 ))
-    set_namelist namelist_cfg nn_itend ${ITEND}
-    set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_84\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend ${ITEND}
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
-    set_namelist namelist_top_cfg ln_rsttr .true.
-    set_namelist namelist_top_cfg nn_rsttr 2
-    set_namelist namelist_top_cfg cn_trcrst_in \"OFFP_LONG_${ITRST}_restart_trc\"
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/OFFP_LONG_${ITRST}_restart_trc_${L_NPROC}.nc .
-    done
-    set_namelist namelist_top_cfg ln_trcbc  .false.
-    # put ln_ironsed, ln_hydrofe to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_ironsed .false.
-    set_namelist namelist_pisces_cfg ln_ironice .false.
-    set_namelist namelist_pisces_cfg ln_hydrofe .false.
-    # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces_cfg ln_pisdmp .false.
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-## Reproducibility tests for ORCA2_OFF_PISCES
-    export TEST_NAME="REPRO_4_8"
-    cd ${MAIN_DIR}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"OFFP_48\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend ${ITEND}
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
-    set_namelist namelist_cfg ln_qsr_rgb .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
-    set_namelist namelist_top_cfg ln_trcdta .false.
-    set_namelist namelist_top_cfg ln_trcbc  .false.
-    # put ln_ironsed, ln_hydrofe to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_ironsed .false.
-    set_namelist namelist_pisces_cfg ln_ironice .false.
-    set_namelist namelist_pisces_cfg ln_hydrofe .false.
-    # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces_cfg ln_pisdmp .false.
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_8_4"
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"OFFP_84\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend ${ITEND}
-    set_namelist namelist_cfg jpni 8
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
-    set_namelist namelist_cfg ln_qsr_rgb .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -833,9 +842,19 @@
     set_namelist namelist_cfg cn_ocerst_in \"AMM12_LONG_${ITRST}_restart\"
     set_namelist namelist_cfg nn_date0 20120102
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AMM12_LONG_${ITRST}_restart_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+        ln -sf ../LONG/AMM12_LONG_${ITRST}_restart.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/AMM12_LONG_${ITRST}_restart_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -867,5 +886,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
@@ -894,7 +914,4 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -978,4 +995,9 @@
     set_namelist namelist_cfg cn_ocerst_in \"SAS_${ITRST}_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_${ITRST}_restart_ice\"
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
     if [ ${USING_XIOS_RRW} == "yes" ]
        then
@@ -983,15 +1005,16 @@
        set_namelist namelist_cfg ln_xios_read .true.
     fi
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/SAS_${ITRST}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/SAS_${ITRST}_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+        ln -sf ../LONG/SAS_${ITRST}_restart.nc .
+        ln -sf ../LONG/SAS_${ITRST}_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/SAS_${ITRST}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/SAS_${ITRST}_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
@@ -1024,7 +1047,4 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1052,5 +1072,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
@@ -1129,8 +1150,4 @@
     set_namelist namelist_pisces_cfg ln_ironice .false.
     set_namelist namelist_pisces_cfg ln_hydrofe .false.
-    if [ ${USING_XIOS_RRW} == "yes" ]
-       then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1235,7 +1252,4 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1253,5 +1267,8 @@
     set_namelist 3_namelist_cfg nn_stock $(( ${ITEND} * 4 * 3 / 2 ))
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
-
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1275,8 +1292,4 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_SHORT\"
     set_namelist 1_namelist_cfg nn_it000 $(( ${ITEND} / 2 + 1 ))
@@ -1308,17 +1321,34 @@
     set_namelist 3_namelist_cfg cn_ocerst_in \"AGRIF_LONG_${ITRST_3}_restart\"
     set_namelist 3_namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_${ITRST_3}_restart_ice\"
-
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+            ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart.nc .
+            ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_ice.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_ice.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_ice.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/AGRIF_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_${ITRST_1}_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_${ITRST_2}_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_${ITRST_3}_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1350,7 +1380,4 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1372,4 +1399,9 @@
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
 
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
+
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1397,7 +1429,4 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1418,5 +1447,4 @@
     set_namelist 3_namelist_cfg jpnj 4
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
-
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1452,7 +1480,4 @@
     set_namelist namelist_cfg nn_itend ${ITEND}
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 
 #   Set the number of fine grids to zero:    
@@ -1497,7 +1522,4 @@
     set_namelist namelist_cfg nn_itend ${ITEND}
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 #
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1582,10 +1604,21 @@
     set_namelist namelist_cfg cn_ocerst_in \"WED025_LONG_${ITRST}_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"WED025_LONG_${ITRST}_restart_ice\"
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/WED025_LONG_${ITRST}_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/WED025_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+            ln -sf ../LONG/WED025_LONG_${ITRST}_restart.nc .
+            ln -sf ../LONG/WED025_LONG_${ITRST}_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/WED025_LONG_${ITRST}_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/WED025_LONG_${ITRST}_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1618,7 +1651,4 @@
     set_namelist namelist_cfg jpnj 7
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1647,5 +1677,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
Index: utils/CI/r12931_sette_ticket2462/sette_test-cases.sh
===================================================================
--- utils/CI/r12931_sette_ticket2462/sette_test-cases.sh	(revision 13754)
+++ utils/CI/r12931_sette_ticket2462/sette_test-cases.sh	(revision 13755)
@@ -194,5 +194,6 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
@@ -219,5 +220,6 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"OVF_LONG_${ITRST}_restart\"
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
        set_namelist namelist_cfg ln_xios_read .true.
@@ -317,5 +319,6 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
@@ -342,6 +345,8 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"LOCK_LONG_${ITRST}_restart\"
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
     fi
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -433,7 +438,4 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.	
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_LONG\"
@@ -442,5 +444,4 @@
     set_namelist 1_namelist_cfg nn_stock $(( ${ITEND} * 3 / 2 ))
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
-
     if [ ${USING_XIOS_RRW} == "yes" ]
        then
@@ -470,8 +471,4 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"VORTEX_LONG_${ITRST}_restart\"
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
     
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_SHORT\"
@@ -483,4 +480,9 @@
     set_namelist 1_namelist_cfg nn_rstctl 2
     set_namelist 1_namelist_cfg cn_ocerst_in \"VORTEX_LONG_${ITRST_1}_restart\"
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
       
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -489,5 +491,5 @@
         set_xio_using_server iodef.xml false
     fi
-    if [[ ($NPROC -eq 1 || ${USING_XIOS_RRW} == "yes") ]];  then
+    if [ $NPROC -eq 1 ] || [ ${USING_XIOS_RRW} == "yes" ] ;  then
         ln -sf ../LONG/VORTEX_LONG_${ITRST}_restart.nc .
         ln -sf ../LONG/1_VORTEX_LONG_${ITRST_1}_restart.nc .
@@ -525,8 +527,4 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
    
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_23\"
@@ -537,5 +535,8 @@
     set_namelist 1_namelist_cfg jpnj 3
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
-
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -565,7 +566,4 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
 
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_32\"
@@ -629,7 +627,5 @@
     set_namelist namelist_cfg nn_stock $(( ${ITEND} / 2 ))
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
+    
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -637,5 +633,8 @@
     set_namelist 1_namelist_cfg nn_stock $(( ${ITEND} * 3 / 2 ))
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
-    
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
         set_xio_using_server iodef.xml true
@@ -661,8 +660,4 @@
     set_namelist namelist_cfg cn_ocerst_in \"ICE_AGRIF_LONG_${ITRST}_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"ICE_AGRIF_LONG_${ITRST}_restart_ice\"
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-       set_namelist namelist_cfg ln_xios_read .true.
-    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_SHORT\"
@@ -676,5 +671,10 @@
     set_namelist 1_namelist_ice_cfg cn_icerst_in \"ICE_AGRIF_LONG_${ITRST_1}_restart_ice\"
     
-    
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+
     if [ ${USING_MPMD} == "yes" ] ; then
         set_xio_using_server iodef.xml true
@@ -682,5 +682,5 @@
         set_xio_using_server iodef.xml false
     fi
-    if [[ ($NPROC -eq 1 || ${USING_XIOS_RRW} == "yes") ]] ;  then
+    if [ $NPROC -eq 1 ] || [ ${USING_XIOS_RRW} == "yes" ] ;  then
         ln -sf ../LONG/ICE_AGRIF_LONG_${ITRST}_restart.nc .
         ln -sf ../LONG/ICE_AGRIF_LONG_${ITRST}_restart_ice.nc .
@@ -724,7 +724,4 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_23\"
@@ -735,4 +732,8 @@
     set_namelist 1_namelist_cfg jpnj 3
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -763,7 +764,4 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_32\"
@@ -865,9 +863,15 @@
        set_xio_using_server iodef.xml false
     fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/ISOMIP+_LONG_${ITRST}_restart_${L_NPROC}.nc .
-    done
+
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+        ln -sf ../LONG/ISOMIP+_LONG_${ITRST}_restart.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/ISOMIP+_LONG_${ITRST}_restart_${L_NPROC}.nc .
+        done
+    fi
 
     cd ${SETTE_DIR}
@@ -901,7 +905,4 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
-       set_namelist namelist_cfg nn_wxios 1
-    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -929,5 +930,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
        set_namelist namelist_cfg nn_wxios 1
     fi
